Subject: bug#24948: closed (Re: Illegible GRUB menu)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Feb 2019 23:39:03 +0000

Your bug report

#24948: Illegible GRUB menu

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24948: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24948
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Illegible GRUB menu
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 5 Feb 2019 00:38:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Nov 15, 2016 at 04:54:43PM -0500, Leo Famulari wrote:
> On my Thinkpad x200s running GuixSD, the graphical GRUB menu is
> scrambled and illegible. I've attached a photograph of the problem.

This bug seems to affect only my machine.

Since it is possible to work around the issue by using a non-graphical
GRUB menu, I'm closing the bug :)

Thanks everyone for your feedback!

Subject: Illegible GRUB menu
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 15 Nov 2016 16:54:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On my Thinkpad x200s running GuixSD, the graphical GRUB menu is
scrambled and illegible. I've attached a photograph of the problem.

The grid of dots is stable, while the faint yellow horizontal lines
dance around. I can tell it's the GuixSD GRUB image, but it's scrambled.

I am able to press Enter to skip the GRUB timeout, and the system does
boot normally.

This is not a recent regression; I've been working around it with the
diff below for a few months now.

I don't know very much about computer graphics. Please let me know what
information I can provide.

diff --git a/gnu/system/grub.scm b/gnu/system/grub.scm
index ead48f0..61c799d 100644
--- a/gnu/system/grub.scm
+++ b/gnu/system/grub.scm
@@ -183,7 +183,7 @@ the store is.  SYSTEM must be the target system string---e.g.,
   insmod video_bochs
   insmod video_cirrus
   insmod gfxterm
-  terminal_output gfxterm
+  terminal_output console
 "
         ""))